Bug 1314970 - DRBD preuninstall scriptlet disables SSHD
DRBD preuninstall scriptlet disables SSHD
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: drbd (Show other bugs)
24
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Major Hayden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-05 05:59 EST by Laszlo Kulcsar
Modified: 2016-05-13 02:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: drbd-8.9.6-2.fc23 drbd-8.9.6-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 16:55:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Kulcsar 2016-03-05 05:59:38 EST
Description of problem: DRBD preuninstall scriptlet disables SSHD

rpm -qp --scripts  drbd-utils-8.9.6-1.fc24.x86_64.rpm
postinstall scriptlet (using /bin/sh):

if [ $1 -eq 1 ] ; then 
        # Initial installation 
        systemctl --no-reload preset drbd.service >/dev/null 2>&1 || : 
fi
preuninstall scriptlet (using /bin/sh):

if [ $1 -eq 0 ] ; then 
        # Package removal, not upgrade 
        systemctl --no-reload disable --now sshd.service > /dev/null 2>&1 || : 
fi


Version-Release number of selected component (if applicable): drbd84-utils-8.9.5-1.el7.elrepo.x86_64
Comment 1 Major Hayden 2016-03-07 11:08:49 EST
Good catch. I'm not sure how that ended up there.
Comment 2 Fedora Update System 2016-03-07 13:19:55 EST
drbd-8.9.6-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-58b16d7593
Comment 3 Fedora Update System 2016-03-07 13:20:33 EST
drbd-8.9.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aafc33ce3c
Comment 4 Fedora Update System 2016-03-09 16:24:01 EST
drbd-8.9.6-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-58b16d7593
Comment 5 Fedora Update System 2016-03-09 17:56:55 EST
drbd-8.9.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aafc33ce3c
Comment 6 Jason Tibbitts 2016-05-02 20:09:46 EDT
Isn't it way past time to push this to stable?
Comment 7 Major Hayden 2016-05-02 20:22:18 EDT
Sorry about those, Jason. The notifications fell into the abyss! They're on their way now.
Comment 8 Fedora Update System 2016-05-12 16:55:39 EDT
drbd-8.9.6-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-05-13 02:21:35 EDT
drbd-8.9.6-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.